Get Wallet Summary
Get a summary of wallet activity and balances. Additional endpoints are available for monthly analytics and trend analytics.
Wallet Summary
GET
https://api.zenpayz.com/merchant/api/v1/wallet/summaryBearer · API key
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Response (200 OK)
{
"success": true,
"data": {
"total_wallets": 3,
"active_currencies": ["USD", "INR", "EUR"],
"total_balance_in_base_currency": 6200000,
"base_currency": "USD",
"currency_balances": [
{
"currency": "USD",
"available_balance": 250000,
"total_balance": 270000
},
{
"currency": "INR",
"available_balance": 5000000,
"total_balance": 5350000
}
]
}
}
Monthly Analytics
GET
https://api.zenpayz.com/merchant/api/v1/wallet/analytics/monthlyBearer · API key
Retrieve monthly wallet analytics and trends.
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Response (200 OK)
{
"success": true,
"data": {
"monthly_data": [
{
"month": "2026-01",
"total_credited": 500000,
"total_debited": 350000,
"transaction_count": 1200
}
]
}
}
Wallet Analytics
GET
https://api.zenpayz.com/merchant/api/v1/wallet/analyticsBearer · API key
Retrieve wallet analytics with credit/debit trends over time.
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
currency REQUIRED | string | ISO 4217 currency code |
startDate OPTIONAL | string | Start date (ISO 8601) |
endDate OPTIONAL | string | End date (ISO 8601) |
granularity OPTIONAL | string | daily, weekly, or monthly (default: daily) |
Examples
- cURL
- SDK
# Get wallet summary
curl -X GET "https://api.zenpayz.com/merchant/api/v1/wallet/summary" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
# Get monthly analytics
curl -X GET "https://api.zenpayz.com/merchant/api/v1/wallet/analytics/monthly" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
# Get wallet analytics
curl -X GET "https://api.zenpayz.com/merchant/api/v1/wallet/analytics?currency=USD&granularity=daily" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
// Wallet summary and wallet analytics endpoints are REST-first in the
// merchant API surface.
// Use direct REST calls:
// GET /merchant/api/v1/wallet/summary
// GET /merchant/api/v1/wallet/analytics/monthly
// GET /merchant/api/v1/wallet/analytics?currency=USD&granularity=daily